<!DOCTYPE jboss PUBLIC "-//JBoss//DTD JBOSS 4.0//EN"
    "http://www.jboss.org/j2ee/dtd/jboss_4_0.dtd">
<jboss>
  <enterprise-beans>
    <entity>
      <ejb-name>EntityEJB</ejb-name>
      <jndi-name>EntityJNDI</jndi-name>
      <local-jndi-name>EntityLocalJNDI</local-jndi-name>

      <resource-ref>
        <res-ref-name>EntityResRef(resource-name)</res-ref-name>
        <resource-name>EntityResRefResName</resource-name>
      </resource-ref>
      <resource-ref>
        <res-ref-name>EntityResRef(jndi-name)</res-ref-name>
        <jndi-name>EntityResRefJNDI</jndi-name>
      </resource-ref>
      <resource-ref>
        <res-ref-name>EntityResRef(res-url)</res-ref-name>
        <res-url>EntityResRefResURL</res-url>
      </resource-ref>

      <resource-env-ref>
        <resource-env-ref-name>EntityResRefEnvName</resource-env-ref-name>
        <jndi-name>EntityResRefEnvJNDI</jndi-name>
      </resource-env-ref>

      <ejb-ref>
        <ejb-ref-name>EntityRefName</ejb-ref-name>
        <jndi-name>EntityRefJNDI</jndi-name>
      </ejb-ref>

      <security-identity>
        <run-as-principal>EntityPrincipal</run-as-principal>
      </security-identity>

      <!-- not handled -->

      <ejb-local-ref>
        <ejb-ref-name>LocalEntityRefName</ejb-ref-name>
        <local-jndi-name>LocalEntityJNDI</local-jndi-name>
      </ejb-local-ref>

      <call-by-value/>
      <read-only/>
      <call-by-value/>
      <configuration-name/>
      <security-proxy/>
      <service-ref/>
      <clustered/>
      <cluster-config/>
    </entity>

    <session>
      <ejb-name>SessionEJB</ejb-name>
      <jndi-name>SessionJNDI</jndi-name>
      <local-jndi-name>SessionLocalJNDI</local-jndi-name>

      <resource-ref>
        <res-ref-name>SessionResRef(resource-name)</res-ref-name>
        <resource-name>SessionResRefResName</resource-name>
      </resource-ref>
      <resource-ref>
        <res-ref-name>SessionResRef(jndi-name)</res-ref-name>
        <jndi-name>SessionResRefJNDI</jndi-name>
      </resource-ref>
      <resource-ref>
        <res-ref-name>SessionResRef(res-url)</res-ref-name>
        <res-url>SessionResRefResURL</res-url>
      </resource-ref>

      <resource-env-ref>
        <resource-env-ref-name>SessionResRefEnvName</resource-env-ref-name>
        <jndi-name>SessionResRefEnvJNDI</jndi-name>
      </resource-env-ref>

      <ejb-ref>
        <ejb-ref-name>SessionRefName</ejb-ref-name>
        <jndi-name>SessionRefJNDI</jndi-name>
      </ejb-ref>
      <ejb-local-ref>
        <ejb-ref-name>LocalSessionRefName</ejb-ref-name>
        <local-jndi-name>LocalSessionJNDI</local-jndi-name>
      </ejb-local-ref>

      <security-identity>
        <run-as-principal>SessionPrincipal</run-as-principal>
      </security-identity>

      <!-- not handled -->

      <call-by-value/>
      <configuration-name/>
      <security-proxy/>
      <service-ref/>
      <clustered/>
      <cluster-config/>
      <port-component>
        <port-component-name/>
        <port-component-uri/>
        <auth-method/>
        <transport-guarantee/>
      </port-component>
    </session>

    <message-driven>
      <ejb-name>MessageEJB</ejb-name>
      <destination-jndi-name>MessageDestinationJNDI</destination-jndi-name>

      <resource-ref>
        <res-ref-name>MessageDrivenResRef(resource-name)</res-ref-name>
        <resource-name>MessageDrivenResRefResName</resource-name>
      </resource-ref>
      <resource-ref>
        <res-ref-name>MessageDrivenResRef(jndi-name)</res-ref-name>
        <jndi-name>MessageDrivenResRefJNDI</jndi-name>
      </resource-ref>
      <resource-ref>
        <res-ref-name>MessageDrivenResRef(res-url)</res-ref-name>
        <res-url>MessageDrivenResRefResURL</res-url>
      </resource-ref>

      <resource-env-ref>
        <resource-env-ref-name>MessageDrivenResRefEnvName</resource-env-ref-name>
        <jndi-name>MessageDrivenResRefEnvJNDI</jndi-name>
      </resource-env-ref>

      <ejb-ref>
        <ejb-ref-name>MessageDrivenRefName</ejb-ref-name>
        <jndi-name>MessageDrivenRefJNDI</jndi-name>
      </ejb-ref>
      <ejb-local-ref>
        <ejb-ref-name>LocalMessageDrivenRefName</ejb-ref-name>
        <local-jndi-name>LocalMessageDrivenJNDI</local-jndi-name>
      </ejb-local-ref>

      <activation-config>
        <activation-config-property>
          <activation-config-property-name>ACPName1</activation-config-property-name>
          <activation-config-property-value>ACPValue1</activation-config-property-value>
        </activation-config-property>
        <activation-config-property>
          <activation-config-property-name>ACPName2</activation-config-property-name>
          <activation-config-property-value>ACPValue2</activation-config-property-value>
        </activation-config-property>
        <activation-config-property>
          <activation-config-property-name>ACPName3</activation-config-property-name>
          <activation-config-property-value>ACPValue3</activation-config-property-value>
        </activation-config-property>
      </activation-config>

      <security-identity>
        <run-as-principal>MessageDrivenPrincipal</run-as-principal>
      </security-identity>

      <!-- not handled -->

      <mdb-user/>
      <mdb-passwd/>
      <mdb-client-id/>
      <mdb-subscription-id/>
      <resource-adapter-name/>
      <configuration-name/>
      <security-proxy/>
      <service-ref/>
    </message-driven>

    <webservice-description>
      <webservice-description-name/>
      <wsdl-publish-location/>
    </webservice-description>
  </enterprise-beans>

  <!-- not handled -->

  <enforce-ejb-restrictions/>
  <security-domain/>
  <unauthenticated-principal/>

  <assembly-descriptor>
    <security-role>
      <role-name/>
      <principal-name/>
    </security-role>
  </assembly-descriptor>

  <resource-managers>
    <resource-manager>
      <res-name/>
      <res-jndi-name/>
    </resource-manager>

    <resource-manager>
      <res-name/>
      <res-url/>
    </resource-manager>
  </resource-managers>

  <container-configurations>
    <container-configuration>
      <container-name/>
      <container-interceptors/>
      <client-interceptors/>
      <instance-pool/>
      <instance-cache/>
      <persistence-manager/>
      <web-class-loader/>
      <locking-policy/>
      <container-cache-conf/>
      <container-pool-conf/>
      <commit-option/>
      <optiond-refresh-rate/>
      <security-domain/>
    </container-configuration>
  </container-configurations>
</jboss>
